Search documentation of Orchid

# Orchid.Recipe.Graph (Orchid v0.3.3)

View Source

Responsible for analysing the topological structure of Recipes, primarily conducting static checks.

# Summary

## Functions

check_cycles(steps, available)
check_missing_initial(steps, initial_keys)
normalize_keys_to_set(atom)

normalize step's io key into MapSet。

# Functions

# check_cycles(steps, available)

# check_missing_initial(steps, initial_keys)

# normalize_keys_to_set(atom)

    @spec normalize_keys_to_set(nil | atom() | list() | tuple() | MapSet.t()) ::
      MapSet.t()

normalize step's io key into MapSet。